Subject: Re: [PATCH net-next 1/6] i40e: Add flag for disabling VF source pruning

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Feb 2023 21:56:43 -0800

On Mon,  6 Feb 2023 15:56:30 -0800 Tony Nguyen wrote:
> Allow user to change source pruning for VF VSIs. This allows VFs to
> receive packets with MAC_SRC and MAC_DST equal to VFs mac.
> 
> Added priv flag vf-source-pruning to allow user to change
> source pruning setting. Reset all VSIs to commit the setting.
> If vf-source-pruning is off and VF is trusted on with spoofchk off
> then disable source pruning on specific VF takes effect.
> 
> Without this patch it is not possible to change source pruning
> setting on VF VSIs.

Intel keeps trickling in private flags to adjust the behavior of legacy
SR-IOV NDOs. No documentation, no well understood semantics.
This does not seem defensible upstream when we already started rejecting
any use of legacy SR-IOV NDOs in new drivers.

Quite sad this is bundled in the same series as the much appreciated
removal of magic status codes.